﻿using System.Collections.Generic;
using Kreta.Client.CoreApi.Configuration;
using Kreta.Client.CoreApi.Constant;

namespace Kreta.Client.CoreApi.Extension
{
    internal static class CoreApiClientConfigurationExtension
    {
        public static Dictionary<string, string> GetPrivateTokenRequestParameters(this ICoreApiClientConfiguration coreApiClientConfiguration)
        {
            return new Dictionary<string, string>
            {
                { TokenRequest.GrantType, GrantType.ClientCredentials },
                { TokenRequest.ClientId, coreApiClientConfiguration.PrivateClientId },
                { TokenRequest.ClientSecret, coreApiClientConfiguration.PrivateClientSecret },
                { TokenRequest.Scope, coreApiClientConfiguration.Scope },
            };
        }

        public static Dictionary<string, string> GetCoreApiPrivateTokenRequestParameters(this ICoreApiClientConfiguration coreApiClientConfiguration)
        {
            return new Dictionary<string, string>
            {
                { TokenRequest.GrantType, GrantType.ClientCredentials },
                { TokenRequest.ClientId, coreApiClientConfiguration.CoreApiPrivateClientId },
                { TokenRequest.ClientSecret, coreApiClientConfiguration.CoreApiPrivateClientSecret }
            };
        }
    }
}
