﻿using System.Collections.Generic;

namespace Kreta.Client.CoreApi.Extension
{
    internal static class HeaderExtension
    {
        public static Dictionary<string, string> GetAuthorizationHeaderWithMulitpartFrom(this string token)
           => new Dictionary<string, string>
           {
                { "Content-Type", "multipart/form-data" },
                { "Authorization", $"Bearer {token}" },
           };

        public static Dictionary<string, string> GetAuthorizationHeaderWithJson(this string token, string intezmenyGuid, int tanevId)
            => new Dictionary<string, string>
            {
                { "Content-Type", "application/json" },
                { "Authorization", $"Bearer {token}" },
                { "IntezmenyId", $"{intezmenyGuid}" },
                { "TanevId", $"{tanevId}" },
            };

        public static Dictionary<string, string> GetFormUrlEncodedHeader()
            => new Dictionary<string, string>
            {
                { "Content-Type", "application/x-www-form-urlencoded" },
            };
    }
}
