﻿using System.Collections.Generic;

namespace Kreta.Client.CoreApi.Response
{
    public class CoreApiResponse
    {
        public CoreApiExceptionItem Exception { get; set; }
        public CoreApiValidationResult ValidationResult { get; set; }

        public string CorrelationId { get; set; }
    }

    public class CoreApiValidationResult
    {
        public List<CoreApiValidationItem> Errors { get; set; } = new List<CoreApiValidationItem>();
        public List<CoreApiValidationItem> Warnings { get; set; } = new List<CoreApiValidationItem>();
        public List<CoreApiValidationItem> Successes { get; set; } = new List<CoreApiValidationItem>();
    }

    public class CoreApiExceptionItem
    {
        public string Type { get; set; }
        public string Message { get; set; }
        public string StackTrace { get; set; }
    }

    public class CoreApiValidationItem
    {
        public string Message { get; set; }
        public string PropertyName { get; set; }
        public string Value { get; set; }
        public string TextValue { get; set; }
    }
}
